-- the test lua script
-- lua is weakly typed and variables are not declared
-- any non existent variable has 'nil' value. assigning this value deletes the variable.
-- lua objects are hash tables, attributes work as variables. Technically, they're equal
-- semicolons are optional

-- call the hello function
helloLua();

-- call the complex function properly
str,num = complexFunction(12345,"TransportEmpire");

-- print the returned values
-- .. is concat operator
print("complexFunction returned: string: "..str.." number:"..num);

-- cause error with the complex function
-- complexFunction("die!");

-- Create global variable to be read from C
textFromWithin = "This text was retrieved from the lua machine";

-- Create lua table to be read from C
ob = {
	num = 12345;
	str = "TransportEmpire";
	sub = {
		subnum = 54321;
		substr = "OpenTTD";
		sub2 = { -- number indexed table
			"a", "b", "c", "d"
		};
	};
};

-- create another table and use it as index
tableIndex = {"T","T","D"};
ob[tableIndex] = "TTD";

-- this is a function to be called from outside
-- it takes two numbers and returns the bigger
function bigger( a,b )
	-- ternary operator is "expression and positive or negative"
	if(a>b)then
		return a;
	else
		return b;
	end; 
end;

-- check the entry variable and print it
print("lightEntry: "..type(lightEntry).." fullEntry: "..type(fullEntry));
readEntry(lightEntry);
readEntry(fullEntry);
